Package org.apache.ignite.internal.management.snapshot

## Class SnapshotRestoreCommandArg

- java.lang.Object
- - org.apache.ignite.internal.dto.IgniteDataTransferObject
  - - org.apache.ignite.internal.management.snapshot.SnapshotRestoreCommandArg

All Implemented Interfaces:
  `Externalizable`, `Serializable`

    public class SnapshotRestoreCommandArg
    extends IgniteDataTransferObject

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.dto.IgniteDataTransferObject

`V1, V2, V3, V4, V5, V6, V7, V8, V9`

### Constructor Summary

Constructors
`SnapshotRestoreCommandArg()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `cancel()`
`void` `cancel​(boolean cancel)`
`boolean` `check()`
`void` `check​(boolean check)`
`void` `ensureOptions()`
`String[]` `groups()`
`void` `groups​(String[] groups)`
`int` `increment()`
`void` `increment​(int increment)`
`protected void` `readExternalData​(byte protoVer, ObjectInput in)` Load object's specific data content.
`String` `snapshotName()`
`void` `snapshotName​(String snapshotName)`
`String` `src()`
`void` `src​(String src)`
`boolean` `start()`
`void` `start​(boolean start)`
`boolean` `status()`
`void` `status​(boolean status)`
`boolean` `sync()`
`void` `sync​(boolean sync)`
`protected void` `writeExternalData​(ObjectOutput out)` Save object's specific data content.

### Methods inherited from class org.apache.ignite.internal.dto.IgniteDataTransferObject

`getProtocolVersion, readExternal, toList, toSet, writeExternal`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SnapshotRestoreCommandArg

    public SnapshotRestoreCommandArg()

### Method Detail

#### ensureOptions

    public void ensureOptions()

#### writeExternalData

    protected void writeExternalData​(ObjectOutput out)
                              throws IOException

Save object's specific data content.

Specified by:
  `writeExternalData` in class `IgniteDataTransferObject`
Parameters:
  `out` - Output object to write data content.
Throws:
  `IOException` - If I/O errors occur.

#### readExternalData

    protected void readExternalData​(byte protoVer,
                                    ObjectInput in)
                             throws IOException,
                                    ClassNotFoundException

Load object's specific data content.

Specified by:
  `readExternalData` in class `IgniteDataTransferObject`
Parameters:
  `protoVer` - Input object version.
  `in` - Input object to load data content.
Throws:
  `IOException` - If I/O errors occur.
  `ClassNotFoundException` - If the class for an object being restored cannot be found.

#### start

    public boolean start()

#### start

    public void start​(boolean start)

#### status

    public boolean status()

#### status

    public void status​(boolean status)

#### cancel

    public boolean cancel()

#### cancel

    public void cancel​(boolean cancel)

#### groups

    public String[] groups()

#### groups

    public void groups​(String[] groups)

#### snapshotName

    public String snapshotName()

#### snapshotName

    public void snapshotName​(String snapshotName)

#### increment

    public int increment()

#### increment

    public void increment​(int increment)

#### src

    public String src()

#### src

    public void src​(String src)

#### sync

    public boolean sync()

#### sync

    public void sync​(boolean sync)

#### check

    public boolean check()

#### check

    public void check​(boolean check)